summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgunfmt-tcl-1
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2013-05-29 18:41:25 +0900
committerDaiki Ueno <ueno@gnu.org>2013-05-30 13:07:31 +0900
commit3533f6cc3521ead6ed20740e5256c4837786a35c (patch)
treee88a169aee8938695ec7eb7762fe852db300b2e4 /gettext-tools/tests/msgunfmt-tcl-1
parent2060aff4d9799b6a42774c76706ac5ab6e7cba96 (diff)
downloadexternal_gettext-3533f6cc3521ead6ed20740e5256c4837786a35c.zip
external_gettext-3533f6cc3521ead6ed20740e5256c4837786a35c.tar.gz
external_gettext-3533f6cc3521ead6ed20740e5256c4837786a35c.tar.bz2
Use distinct temporary file names in tests.
Diffstat (limited to 'gettext-tools/tests/msgunfmt-tcl-1')
-rwxr-xr-xgettext-tools/tests/msgunfmt-tcl-126
1 files changed, 13 insertions, 13 deletions
diff --git a/gettext-tools/tests/msgunfmt-tcl-1 b/gettext-tools/tests/msgunfmt-tcl-1
index 5d2e220..bfe48e0 100755
--- a/gettext-tools/tests/msgunfmt-tcl-1
+++ b/gettext-tools/tests/msgunfmt-tcl-1
@@ -14,18 +14,18 @@ trap 'rm -fr $tmpfiles' 1 2 3 15
# Test whether we can execute Tcl programs and Tcl's fconfigure command
# understands the -encoding option (it does since approximately Tcl 8.1).
-tmpfiles="$tmpfiles version.tcl"
-cat <<\EOF > version.tcl
+tmpfiles="$tmpfiles mu-tcl-1-version.tcl"
+cat <<\EOF > mu-tcl-1-version.tcl
fconfigure stdout -encoding utf-8
puts $tcl_version
EOF
-(tclsh version.tcl) >/dev/null 2>/dev/null \
+(tclsh mu-tcl-1-version.tcl) >/dev/null 2>/dev/null \
|| { echo "Skipping test: tclsh not found or Tcl too old"
rm -fr $tmpfiles; exit 77
}
-tmpfiles="$tmpfiles fr.po"
-cat <<\EOF > fr.po
+tmpfiles="$tmpfiles mu-tcl-1-fr.po"
+cat <<\EOF > mu-tcl-1-fr.po
msgid ""
msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -40,19 +40,19 @@ msgid "%s is replaced by %s."
msgstr "%2$s remplace %1$s."
EOF
-tmpfiles="$tmpfiles msgs"
-test -d msgs || mkdir msgs
+tmpfiles="$tmpfiles mu-tcl-1-msgs"
+test -d mu-tcl-1-msgs || mkdir mu-tcl-1-msgs
: ${MSGFMT=msgfmt}
-${MSGFMT} --tcl -d msgs -l fr fr.po || exit 1
+${MSGFMT} --tcl -d mu-tcl-1-msgs -l fr mu-tcl-1-fr.po || exit 1
-tmpfiles="$tmpfiles prog.out"
+tmpfiles="$tmpfiles mu-tcl-1-prog.out"
: ${MSGUNFMT=msgunfmt}
GETTEXTDATADIR=${top_srcdir}/src \
-${MSGUNFMT} --tcl -d msgs -l fr -o prog.out || exit 1
+${MSGUNFMT} --tcl -d mu-tcl-1-msgs -l fr -o mu-tcl-1-prog.out || exit 1
-tmpfiles="$tmpfiles prog.ok"
-cat <<\EOF > prog.ok
+tmpfiles="$tmpfiles mu-tcl-1-prog.ok"
+cat <<\EOF > mu-tcl-1-prog.ok
msgid ""
msgstr "Content-Type: text/plain; charset=UTF-8\n"
@@ -63,7 +63,7 @@ msgid "%s is replaced by %s."
msgstr "%2$s remplace %1$s."
EOF
: ${DIFF=diff}
-${DIFF} prog.ok prog.out || exit 1
+${DIFF} mu-tcl-1-prog.ok mu-tcl-1-prog.out || exit 1
rm -fr $tmpfiles